dvipdfm(1)

NAME
dvipdfm - Produce PDF files directly from DVI files

SYNOPSIS
dvipdfm [options] file[.dvi]

DESCRIPTION
The program dvipdfm generates a PDF file from a DVI file. DVI files are the output format produced by TeX. Output from groff can be converted to DVI format using grodvi. The program dvipdfm recognizes several commonly used \special commands, which are extensions to the DVI format. Specifically, it understands color specials, papersize specials, tpic specials (which allow it to be used with pic), hypertex specials, and some PostScript specials. These extensions allow documents to contain color, figures, and hyperlinks. The program tries to mimic the behavior of dvips so that many macro packages produced for use with dvips will work with dvipdfm. Dvipdfm understands its own specific \special commands to allow access to PDF features such as annotations and bookmarks. For more details, consult the Dvipdfm User's Manual, which is distributed with dvipdfm.

OPTIONS

-c  Ignore color \specials. The -c toggles a flag that disables color \special processing. Unless changed in the configuration file, that flag is off, and color \specials are interpreted normally. The -c option may be used to produce a black and white document from a document containing color TeX \special commands.

-d  Remove thumbnail images after including them. (See the -t option for more information.)

-e  Toggle partial font embedding flag. If partial font embedding is off, embedded fonts are fully embedded. The default, if not changed in the configuration file, is to embed only those glyphs actually used in the document.

-f map_file
    Set the name of the font map file to map_file. The format of the font map file is documented in the Dvipdfm User's Manual.

-l  Select landscape mode. In other words, exchange the x and y dimensions of the paper.

-m  mag
    Magnify the input document by mag.

-o  name
    Generate PDF output file having the name name. By default, the name of the output file is file.pdf.

-p  paper
    Select the papersize by name (e.g., letter, legal, ledger, tabloid, a3, a4, or a5 )

-r  size
    Set resolution of bitmapped fonts to size dots per inch. Bitmapped fonts are generated by the Kpathsea library, which uses MetaFont. Bitmapped fonts are included as type 3 fonts in the PDF output file.

-s  page_specifications
    Select the pages of the DVI file to be converted. The page_specifications consists of a comma separated list of page_ranges:
        page_specifications := page_specification[,page_specifications]
    where
        page_specification := single_page|page_range
        page_range := [first_page]-[last_page]
    An empty first_page is implied to be the first page of the DVI file. An empty last_page is treated as the last page of the DVI file. Examples:

    -s 1,3,5
        includes pages 1, 3, and 5;

    -s -
        includes all pages;

    -s -,-
        includes two copies of all pages in the DVI file; and

    -s 1-10
        includes the first ten pages of the DVI file.

-t  Search for thumbnail images of each page in the directory named by the TMP environment variable. The thumbnail images must be named in a specific format. They must have the same base name as the DVI file and they must have the page number as the extension to the file name. Dvipdfm does not generate the thumbnails itself, but it is distributed with a wrapper program named dvipdft that does so.

-v  Increase verbosity. Results of the -v option are cumulative (e.g., -vv ) increases the verbosity by two increments.

-x x_offset
    Set the left margin to x_offset. The default left margin is 1.0in. The dimension may be specified in any units understood by TeX (e.g., bpt, pt, in, cm )

-y y_offset
    Set the top margin to y_offset. The default top margin is 1.0in. The dimension may be specified in any units understood by TeX (e.g., bpt, pt, in, cm )

-z compression_level
    Set the compression level to compression_level. Compressions levels range from 0 (no compression) to 9 (maximum compression) and correspond to the values understood by zlib.

ENVIRONMENT
Dvipdfm uses the kpathsea library for locating the files that it opens. Hence, the environment variables documented in the Kpathsea library documentation influence dvipdfm. Dvipdfm also reads the following environment variables:

TMP The directory to search for thumbnail images of each page.

FILES
The precise location of the following files is determined by the Kpathsea library configuration. The location may be determined by using kpsewhich, e.g.,
kpsewhich -progname=dvipdfm -format='other text files' config

config
    Startup options

t1fonts.map
    The default font map file (this name may be changed in the config file).

*.tfm
    TeX font metrics

*.vf
    TeX virtual font files

*.pfb
    PostScript Type 1 font files

texmf.cnf
    The Kpathsea library configuration file. The location of this file may be found by typing
    kpsewhich texmf.cnf

SEE ALSO
tex(1), dvips(1), groff(1), grodvi(1), pic(1), and the Kpathsea library info documentation.

AUTHOR
Mark A. Wicks <mwicks@kettering.edu>